<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8"/>
        <title>Add Note</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.2/dist/css/bootstrap.min.css" rel="stylesheet" 
        integrity="sha384-uWxY/CJNBR+1zjPWmfnSnVxwRheevXITnMqoEIeG1LJrdI0GlVs/9cVSyPYXdcSF" 
        crossorigin="anonymous">
        {% include 'navbar.html'%}
    </head>
    <body>
        <div class="header">
            <h1 id="title">Add Notes Form</h1>
            <p id="description">Please fill the form to add your notes</p>
        </div>
        <form action="" method="POST">
            {% csrf_token %}
            <div class="row mb-3">
                <label for="{{form.to.id_for_label}}" class="col-sm-2 col-form-label">Penerima</label>
                <div class="col-sm-10">
                  {{form.to}}
                </div>
            </div>
            <div class="row mb-3">
                <label for="{{form.sender.id_for_label}}" class="col-sm-2 col-form-label">Pengirim</label>
                <div class="col-sm-10">
                  {{form.sender}}
                </div>
            </div>
            <div class="row mb-3">
                <label for="{{form.title.id_for_label}}" class="col-sm-2 col-form-label">Judul</label>
                <div class="col-sm-10">
                  {{form.title}}
                </div>
            </div>
            <div class="row mb-3">
                <label for="{{form.messsage.id_for_label}}" class="col-sm-2 col-form-label">Pesan</label>
                <div class="col-sm-10">
                  {{form.message}}
                </div>
            </div>        
            <div class="d-grid gap-2 col-6 mx-auto">
                <button type="submit" value="submit" class="btn btn-primary btn-lg"> Kirim </button>
            </div>
        </form>
    </body>
</html>
<style>
    form{
        background: #3D348B;
        padding: 2.5rem 1.625rem;
        border-radius: 0.5rem;
        max-width: 625px;
        margin-top: 20px;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 50px;
        color: white;
        align-content: center;
    }
    * {
        margin: 0;
        padding: 0;
        box-sizing: border-box;
    }
    body{
        background-color: #F1FAEE;
        padding-bottom: 10px;
        margin-top: 80px;
    }
    .header{
        text-align: center;
        margin: 10px;
    }
    #description{
        font-style: italic;
        font-size: 1.125rem;
    }
    .btn{
        background-color: #F35B04;
        border-radius: 5px;
        border: 0mm;
    }
    .btn-primary:hover{
        background-color: #F35B04;
        box-shadow: -5px 5px 2px 1px rgba(33,33,33,.2);

    }
</style>